---
- hosts: game
  roles:
    - sample.docker
  become: true
  post_tasks:
    - block:
      - name: Game | Create service unit
        ansible.builtin.template:
          src: templates/docker_container.j2
          dest: "/etc/systemd/system/{{ _game_service_name }}.service"
        notify: Restart game
      - name: Game | Flush handlers if needed
        meta: flush_handlers
      - name: Game | Start Game service
        ansible.builtin.systemd:
          name: '{{ _game_service_name }}'
          daemon_reload: true
          state: started
      - name: Game | Open game ports with ufw
        community.general.ufw:
          port: '{{ _haproxy_target_port }}'
          proto: tcp
          rule: allow
          src: '{{ item }}'
        loop: "{{ groups[_haproxy_source_group] | map('extract', hostvars, 'ansible_host') }}"
      - name: Game | Open ssh ports with ufw
        community.general.ufw:
          rule: allow
          name: OpenSSH
      - name: Game | enable ufw
        community.general.ufw:
          state: enabled
      tags: notest
  become: true  
  handlers:
    - name: Restart game
      ansible.builtin.systemd: 
        name: "{{ _game_service_name }}"
        daemon_reload: true
        state: restarted
  become: true 

- hosts: lb
  roles:
    - sample.haproxy
  become: true
  post_tasks:
    - block:
      - name: LB | Open frontend Haproxy ports with ufw
        community.general.ufw:
          port: '80'
          proto: tcp
          rule: allow
      - name: LB | Open ssh ports with ufw
        community.general.ufw:
          rule: allow
          name: OpenSSH
      - name: LB | enable ufw
        community.general.ufw:
          state: enabled
      tags: notest
  become: true

